package com.ruoyi.project.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.project.business.domain.TpParaValidationElevator;
import com.ruoyi.project.business.dto.TpParaValidationElevatorDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author jubs
 */
public interface TpParaValidationElevatorMapper extends BaseMapper<TpParaValidationElevator> {

    List<TpParaValidationElevatorDto> initData(Long paraValidationId);
    int getValidationCount(Long elevatorModelId);
    int getValidationCountWithModel(@Param("ids") Long[] ids, @Param("elevatorModelId") Long elevatorModelId);

    void clearAll();
}
